summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--system/t1utils/README2
-rw-r--r--system/t1utils/slack-desc6
-rw-r--r--system/t1utils/t1utils.SlackBuild62
-rw-r--r--system/t1utils/t1utils.info8
4 files changed, 43 insertions, 35 deletions
diff --git a/system/t1utils/README b/system/t1utils/README
index a33222bb21..7cc7c0d64e 100644
--- a/system/t1utils/README
+++ b/system/t1utils/README
@@ -1,4 +1,4 @@
-t1utils is a collection of simple type-1 font manipulation programs. Together,
+t1utils is a collection of simple Type 1 font manipulation programs. Together,
they allow you to convert between PFA (ASCII) and PFB (binary) formats,
disassemble PFA or PFB files into human-readable form, and reassemble them
into PFA or PFB format. Additionally you can extract font resources from
diff --git a/system/t1utils/slack-desc b/system/t1utils/slack-desc
index f817c6a99e..3155bf5741 100644
--- a/system/t1utils/slack-desc
+++ b/system/t1utils/slack-desc
@@ -5,10 +5,10 @@
# make exactly 11 lines for the formatting to be correct. It's also
# customary to leave one space after the ':'.
- |-----handy-ruler------------------------------------------------------|
-t1utils: t1utils (Type 1 Utilities)
+ |-----handy-ruler------------------------------------------------------|
+t1utils: t1utils (Type 1 Font Utilities)
t1utils:
-t1utils: t1utils is a collection of simple type-1 font manipulation programs.
+t1utils: t1utils is a collection of simple Type 1 font manipulation programs.
t1utils: Together, they allow you to convert between PFA (ASCII) and PFB
t1utils: (binary) formats, disassemble PFA or PFB files into human-readable
t1utils: form, and reassemble them into PFA or PFB format. Additionally you
diff --git a/system/t1utils/t1utils.SlackBuild b/system/t1utils/t1utils.SlackBuild
index a1d37dcd21..4ce4a01e84 100644
--- a/system/t1utils/t1utils.SlackBuild
+++ b/system/t1utils/t1utils.SlackBuild
@@ -1,54 +1,62 @@
#!/bin/sh
# Slackware build script for t1utils
-# Written by Kyle Guinn
+# Written by Kyle Guinn <elyk03@gmail.com>
-# Modified by the SlackBuilds.org project
+PRGNAM="t1utils"
+VERSION=${VERSION:-"1.33"}
+ARCH=${ARCH:-"i486"}
+BUILD=${BUILD:-"1"}
+TAG=${TAG:-"_SBo"}
-PRGNAM=t1utils
-VERSION=1.32
-ARCH=${ARCH:-i486}
-BUILD=${BUILD:-1}
-TAG=${TAG:-_SBo}
CWD=$(pwd)
-TMP=${TMP:-/tmp/SBo}
-PKG=$TMP/package-$PRGNAM
-OUTPUT=${OUTPUT:-/tmp}
+TMP=${TMP:-"/tmp/SBo"}
+PKG="$TMP/package-$PRGNAM-$VERSION"
+OUTPUT=${OUTPUT:-"/tmp"}
+
+DOCS="INSTALL NEWS README"
if [ "$ARCH" = "i486" ]; then
- SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
elif [ "$ARCH" = "i686" ]; then
- SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
fi
+set -e
+
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
-cd $TMP || exit 1
+cd $TMP
rm -rf $PRGNAM-$VERSION
-tar -xzvf $CWD/$PRGNAM-$VERSION.tar.gz || exit 1
-cd $PRGNAM-$VERSION || exit 1
+tar -xzvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
chown -R root:root .
-chmod -R u+w,go+r-w,a-s .
+chmod -R u+w,go+r-w,a-st .
CFLAGS="$SLKCFLAGS" \
./configure \
- --prefix=/usr \
- --sysconfdir=/etc \
- --localstatedir=/var \
- || exit 1
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --infodir=/usr/info \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION
-make || exit 1
-make install-strip DESTDIR=$PKG || exit 1
+make
+make install-strip DESTDIR=$PKG
-if [ -d $PKG/usr/man ]; then
( cd $PKG/usr/man
- find . -type f -exec gzip -9 {} \;
- for i in $(find . -type l) ; do ln -s $(readlink $i).gz $i.gz ; rm $i ; done
+ find . -type f -exec gzip -9 {} \;
+ for i in $(find . -type l); do \
+ ln -s $(readlink $i).gz $i.gz; \
+ rm $i; \
+ done
)
-fi
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
-cp -a INSTALL NEWS README $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a $DOCS $PKG/usr/doc/$PRGNAM-$VERSION
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
mkdir -p $PKG/install
diff --git a/system/t1utils/t1utils.info b/system/t1utils/t1utils.info
index 47bd429676..26bcd96922 100644
--- a/system/t1utils/t1utils.info
+++ b/system/t1utils/t1utils.info
@@ -1,8 +1,8 @@
PRGNAM="t1utils"
-VERSION="1.32"
+VERSION="1.33"
HOMEPAGE="http://www.lcdf.org/~eddietwo/type/"
-DOWNLOAD="http://www.lcdf.org/~eddietwo/type/t1utils-1.32.tar.gz"
-MD5SUM="733892543a5b852b7e5d87bc58117f53"
+DOWNLOAD="http://www.lcdf.org/~eddietwo/type/t1utils-1.33.tar.gz"
+MD5SUM="a8d9dad4eab239357dd045275770eb8f"
MAINTAINER="Kyle Guinn"
EMAIL="elyk03@gmail.com"
-APPROVED="rworkman"
+APPROVED="Erik Hanson"